import { Session, getServerSession } from "next-auth";
import { redirect } from "next/navigation";
import { nextauthOptions } from "./lib/nextauth-options";

export default async function Home() {
  const session: Session = await getServerSession(nextauthOptions);

  if (!session) {
    redirect("/auth/signin");
  } else if ((session.user.roles && session.user.roles.includes("Administrator")) || session.user.roles.includes("IBC Manager") || session.user.roles.includes("Project Admin") || session.user.roles.includes("Supervisor")) {
    session?.projects?.length > 1 && session.user.roles && session.user.roles.includes("Administrator") ? redirect("/admin/dashboard?projects=true") : redirect("/admin/dashboard");
  } else {
    redirect("/officer/dashboard");
  }
}
